import { InitializerOptions } from '../../viewer';
export type Database = InitializerOptions & Record<string, any>;
export type DatabaseKeys = keyof Database;
export declare class StorageService {
    private driver;
    private database;
    private key;
    constructor(fingerprint: string, driver?: Storage, storagePrefix?: string);
    private write;
    all(): Database;
    get<K extends DatabaseKeys>(key: K, defaultValue?: Database[K]): Database[K] | undefined;
    set<K extends DatabaseKeys>(keyOrProperties: K | Partial<Database>, value?: Database[K]): void;
}
